> For the complete documentation index, see [llms.txt](https://docs.gammaswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gammaswap.com/developers/api-reference.md).

# API Reference

### Info Methods

Read-only methods. No wallet or signature is required.

`getAsset` `getResolutionPrice` `getLastResolutionPrice` `getBalance` `getOrderBook` `getBookOrders` `getTopOfBook` `getPosition` `getAgentApproval` `getAgentApprovalNonce getExchangeConfig`

{% content-ref url="/pages/npZWswoNtsasrgjUmCJy" %}
[Info Methods](/developers/api-reference/info-methods.md)
{% endcontent-ref %}

### Exchange Methods

All submitted actions are signed with the configured EOA wallet.

`placeOrder` `placeAgentOrder` `cancelOrder` `cancelAll` `cancelReplaceOrder` `cancelAgentOrder` `cancelAllAgent` `cancelReplaceAgentOrder` `claim` `claimAgent` `withdraw` `approveAgent` `revokeAgent` `signAgentApproval`

{% content-ref url="/pages/tOLQIMXOBaeYrxnaj01F" %}
[Exchange Methods](/developers/api-reference/exchange-methods.md)
{% endcontent-ref %}

### Deposit Methods

These methods communicate directly with onchain contracts through the configured RPC URL.

`getSettlementToken` `getPermit2` `getAccountLedger` `getPendingBalance` `getProcessedBalance` `getPendingDepositCount` `getNextPendingDepositId` `getProcessedDepositIndex getMinBlockWait` `canProcessNext` `getSettlementTokenBalance getSettlementTokenAllowance` `approveDepositLedger` `approvePermit2` `deposit` `signDepositPermit` `depositWithPermit`  `parseAmount`

{% content-ref url="/pages/EDmlQ2CSAQ4rsPbGjZ2G" %}
[Deposit Methods](/developers/api-reference/deposit-methods.md)
{% endcontent-ref %}

### Susbcription Methods

These methods manage the market WebSocket connection and subscribe to real-time order, trade, cancel, and resolution updates by `assetId`.

`connect` `close` `subscribeOrderBook` `unsubscribeOrderBook`

{% content-ref url="/pages/iKGrBF3VtemxKqbgvRip" %}
[Subscription Methods](/developers/api-reference/subscription-methods.md)
{% endcontent-ref %}

### Oracle Methods

These methods manage the oracle WebSocket connection and subscribe to real-time price updates by `symbolId`.

`connect` `close` `subscribePrice` `unsubscribePrice`

{% content-ref url="/pages/1blaZ3YC8h4ik42euljj" %}
[Oracle Methods](/developers/api-reference/oracle-methods.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gammaswap.com/developers/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
